Bug 734468 - dmraid -E does not work to erase ddf1 metadata
Summary: dmraid -E does not work to erase ddf1 metadata
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dmraid
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Heinz Mauelshagen
QA Contact: Zhang Yi
URL:
Whiteboard:
Depends On: 700444
Blocks: 767187
TreeView+ depends on / blocked
 
Reported: 2011-08-30 13:37 UTC by Zdenek Kabelac
Modified: 2016-06-10 15:06 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 700444
Environment:
Last Closed: 2015-10-14 12:38:45 UTC


Attachments (Terms of Use)

Description Zdenek Kabelac 2011-08-30 13:37:29 UTC
+++ This bug was initially created as a clone of Bug #700444 +++

A customer upgraded a machine from RHEL 5.3 (?) to RHEL5.6 and on boot a ddf1 signature was detected on the device (/dev/sda) containing the /boot filesystem.  As a result, his system would not boot, but he worked around the boot problem with "nodmraid" on the cmdline.  Apparently the ddf1 signature was from a previous windows install, and was not properly wiped when RHEL was installed.

Once booted, he attempted to use "dmraid -E" to erase the unwanted ddf1 signature, but received the following error:
dmraid -v -E -r /dev/sda
Do you really want to erase "ddf1" ondisk metadata on /dev/sda ? [y/n] :y
ERROR: ddf1: seeking device "/dev/sda" to 40959999737856
ERROR: writing metadata to /dev/sda, offset 79999999488 sectors, size 0 bytes returned 0
ERROR: erasing ondisk metadata on /dev/sda

I will upload an strace of "dmraid -f ddf1 -r /dev/sda" as well as other relevant data from this customer system.  I am not sure if I can get the exact signature from the disk but will upload if I can.

--- Additional comment from zkabelac@redhat.com on 2011-08-30 08:44:01 EDT ---

Fixes patch posted on dm-devel list:

https://www.redhat.com/archives/dm-devel/2011-August/msg00121.html

Comment 6 RHEL Product and Program Management 2012-09-07 05:02:34 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.